# Interface NoteCommandData

Base interface for the data/arguments for a given command (see CommandMappings).

interface NoteCommandData {
hoistedNoteId ?: null | string;
notePath ?: null | string;
ntxId ?: null | string;
viewScope ?: ViewScope ;
}

#### Hierarchy (View Summary)

- CommandData
  - NoteCommandData

- Defined in src/public/app/components/app_context.ts:59

##### Index

### Properties

hoistedNoteId?
notePath?
ntxId?
viewScope?

## Properties

### `Optional` hoistedNoteId

hoistedNoteId?: null | string

- Defined in src/public/app/components/app_context.ts:61

### `Optional` notePath

notePath?: null | string

- Defined in src/public/app/components/app_context.ts:60

### `Optional` ntxId

ntxId?: null | string

Inherited from CommandData.ntxId

- Defined in src/public/app/components/app_context.ts:45

### `Optional` viewScope

viewScope?: ViewScope

- Defined in src/public/app/components/app_context.ts:62